/* callbacks.c -- callback functions for the GDarts client */

#include <gtk/gtk.h>
#include "mytypes.h"
#include "globals.h"
#include "callbacks.h"

gint closeAppWindow(GtkWidget *widget, GdkEvent *event, gpointer data)
{
   g_print("Thanks for playing!\n");
   gtk_main_quit();

   return FALSE;  /* FALSE causes 'quit' event to propagate back up through X heirarchy */
}


gint dbiGotResized(GtkWidget *dbi, GdkEventConfigure *event, gpointer data) 
{
  printf("allocation is: %d x %d\nevent is %d x %d\n\n", dbi->allocation.width, dbi->allocation.height, event->width, event->height);

  return TRUE;  /* TRUE means don't propagate configure_event any further */
}


gint dbiGotExposed(GtkWidget *dbi, GdkEventExpose *event, dartsType *darts)
{
printf("darts is %p in expose\n\n", darts);

  return FALSE;  /* FALSE means propagate expose event up in case other parts of the window are affected */
}


gint dbiGotClicked(GtkWidget *dbi, GdkEventButton *event, dartsType *darts)
{
printf("darts is %p in dbi-Clicked\n\n", darts);

  return TRUE;
}


gint changePlayer(GtkWidget *player_change, GdkEvent *event, dartsType *darts)
{
printf("darts is %p in changePlayer\n\n", darts);

  return TRUE;
}


