/* clientmain.c */
/* main source file for Gdarts Client */

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>

#include "mytypes.h"
#include "callbacks.h"

/* a few globals to be extern'able */
GtkWidget *main_window;
GtkWidget *dbi;  /* dart board interface */

int main(int argc, char *argv[])
{
   /* layout-related stuff */
   GtkWidget *main_vbox;
   GtkWidget *player_change;

   dartsType darts;


   /* let GTK parse the options it knows about */
   gtk_init(&argc, &argv);
  
   /* create a top-level window */
   main_window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

   /* connect the appropriate signals.. */
   gtk_signal_connect(GTK_OBJECT(main_window), "delete_event", GTK_SIGNAL_FUNC(closeAppWindow), NULL);

   /* add some breathing room */
   gtk_container_border_width(GTK_CONTAINER(main_window), 5);

   /* create main vbox to hold menubar and the rest of the GUI */
   main_vbox = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(main_window), main_vbox);
   gtk_widget_show(main_vbox);

printf("darts is %p in Main\n", &darts);
   /* add player change button */
   player_change = gtk_button_new_with_label("Player Change");
   gtk_box_pack_start(GTK_BOX(main_vbox), player_change, FALSE, FALSE, 0);
   gtk_signal_connect(GTK_OBJECT(player_change), "clicked", GTK_SIGNAL_FUNC(changePlayer), &darts);
   gtk_widget_show(player_change);
printf("darts is %p in Main\n", &darts);

   dbi = gtk_drawing_area_new();
   gtk_drawing_area_size(GTK_DRAWING_AREA(dbi), 300, 300);
   gtk_box_pack_start(GTK_BOX(main_vbox), dbi, TRUE, TRUE, 0);

   /* connect to the appropriate signals to the DBI */
printf("darts is %p in Main\n", &darts);
   gtk_signal_connect(GTK_OBJECT(dbi), "expose_event", GTK_SIGNAL_FUNC(dbiGotExposed), &darts);
   gtk_signal_connect(GTK_OBJECT(dbi), "configure_event", GTK_SIGNAL_FUNC(dbiGotResized), NULL);
   gtk_signal_connect(GTK_OBJECT(dbi), "button_press_event", GTK_SIGNAL_FUNC(dbiGotClicked), &darts);
   gtk_widget_set_events(dbi, GDK_EXPOSURE_MASK | GDK_BUTTON_PRESS_MASK);
   gtk_widget_show(dbi);
printf("darts is %p in Main\n", &darts);
   
   gtk_widget_show(main_window);  /* show the whole GUI */

printf("darts is %p in Main\n", &darts);

   gtk_main();  /* start GTK+'s event loop */

   /* program execution does not reach this point until the GUI is closed */

   return 0;  /* exit code */

}
